Package com.databend.jdbc.cloud

# Class DatabendCopyParams

java.lang.Object
com.databend.jdbc.cloud.DatabendCopyParams

public class DatabendCopyParams extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DatabendCopyParams.Builder`
`static enum`
`DatabendCopyParams.DatabendParams`

## Method Summary

Modifier and Type
Method
Description
`static DatabendCopyParams.Builder`
`builder()`
`Map<String,String>`
`getCopyOptions()`
`String`
`getDatabaseTableName()`
`DatabendStage`
`getDatabendStage()`
`Map<String,String>`
`getFileOptions()`
`List<String>`
`getFiles()`
`String`
`getPattern()`
`String`
`getType()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### builder

public static DatabendCopyParams.Builder builder()

### getDatabendStage

public DatabendStage getDatabendStage()

### getFiles

public List<String> getFiles()

### getPattern

public String getPattern()

### getType

public String getType()

### getDatabaseTableName

public String getDatabaseTableName()

### getFileOptions

public Map<String,String> getFileOptions()

### getCopyOptions

public Map<String,String> getCopyOptions()

### toString

public String toString()

Overrides:
  `toString` in class `Object`